package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsMaterialTypeMapper;
import com.steerinfo.dil.model.RmsMaterialType;
import com.steerinfo.dil.service.IRmsMaterialTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/12/6 17:27
 * @Version:V1.0
 */
@Service
public class RmsMaterialTypeServiceImpl implements IRmsMaterialTypeService {

    @Autowired
    RmsMaterialTypeMapper rmsMaterialTypeMapper;

    @Override
    public List<Map<String, Object>> getMaterialTypeList(Map<String, Object> mapValue) {
        return rmsMaterialTypeMapper.getMaterialTypeList(mapValue);
    }

    @Override
    public List<Map<String, Object>> getInwardContractMaterial(Map<String, Object> mapValue) {
        return rmsMaterialTypeMapper.getInwardContractMaterial(mapValue);
    }

    @Override
    public int insertMaterialType(Map<String, Object> mapValue) {
        String materialTypeName = (String) mapValue.get("materialTypeName");
        BigDecimal materialTypeId = rmsMaterialTypeMapper.getMaterialTypeId();
        RmsMaterialType rmsMaterialType = new RmsMaterialType();
        rmsMaterialType.setMaterialTypeId(materialTypeId);
        rmsMaterialType.setMaterialTypeName(materialTypeName);
        rmsMaterialType.setMaterialIsinward(new BigDecimal(1));
        rmsMaterialTypeMapper.insertSelective(rmsMaterialType);
        return 1;
    }
}
